:host {
    margin-bottom: 0.75rem;
}


.product {
    display: flex;
    flex-direction: column;
    background: #f1f1f1;
    border-radius: 10px;
    padding: 8px 10px;
    font-weight: 600;
    color: #555;
    align-items: center;
    justify-content: space-between;
    
    &:not(.full-details) > .main-info > .name-info-wrapper > .product-name {
        flex: initial;
    }

    &.cereal {
        > .main-info > .product-icon {
            background: #bd9500;
        }

        &:not(.full-details).cereal,
        &:not(.full-details).cereal .options .mat-icon {
            color: #bd9500;
            background: #f3eac8;
        }
    }
    
    &.fish {
        > .main-info > .product-icon {
            background: #4c69bb;
        }

        &:not(.full-details).fish,
        &:not(.full-details).fish .options .mat-icon {
            color: #4c69bb;
            background: #d9e3ff;
        }
    }

    &.meat {
        > .main-info > .product-icon {
            background: #ed9266;
        }

        &:not(.full-details).meat,
        &:not(.full-details).meat .options .mat-icon {
            color: #ed9266;
            background: #ffede4;
        }
    }

    &.fruit {
        > .main-info > .product-icon {
            background: #72a93e;
        }

        &:not(.full-details).fruit,
        &:not(.full-details).fruit .options .mat-icon {
            color: #72a93e;
            background: #eaf3e2;
        }
    }

    &.supp {
        > .main-info > .product-icon {
            background: #6d5e9f;
        }

        &:not(.full-details).supp,
        &:not(.full-details).supp .options .mat-icon {
            color: #6d5e9f;
            background: #e7e2f7;
        }
    }

    &.full-details,
    &.full-details .options .mat-icon {
        background: #f1f1f1;
        color: #555;
    }


    > .main-info {
        display: flex;
        align-items: center;
        justify-content: space-between;
        width: 100%;

        >.product-icon {
            width: 22px;
            height: 22px;
            background: #7a7a7a;
            border-radius: 50%;
            margin-right: 0.5rem;
    
            >.mat-icon {
                width: 22px;
                height: 22px;
                padding: 5px;
                display: flex;
                align-items: center;
            }
        }
    
       
        >.name-info-wrapper {
            flex: 1;
            text-align: left;
            display: flex;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
    
            .product-name {
                flex: 1;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                padding-right: 8px;
            }

            .unit {
                cursor: pointer;
                border-radius: 3px;
                transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
                padding: 0 4px;

                &:hover {
                    background: rgb(0 0 0 / 5%);
                }
            }
    
            .edit-mass-input {
                min-width: auto;
                width: 46px;
                border-radius: 3px;
                outline: none;
                padding: 0 3px;
                border: 1px solid rgba(0, 0, 0, 0.2);
                font-size: 13px;
                overflow: hidden;
            }
          
            .details {
                display: flex;
    
                >span:first-child {
                    margin-right: 4px;
                }
    
                >span:last-child {
                    margin-left: 4px;
                }
            }
        }
    
        >.options {
            display: flex;
            align-items: center;
    
            >button,
            .mat-menu-trigger {
                background-color: transparent;
                border: none;
                opacity: 0.7;
                width: 24px;
                transition: .13s opacity cubic-bezier(0.785, 0.135, 0.15, 0.86);
    
                &:hover {
                    opacity: 1;
                }
    
                >.mat-icon {
                    font-size: 20px;
                    display: flex;
                    align-items: center;
    
                }
            }
        }
    }


    > .expandable-content {
        overflow: hidden;
        color: #646464;
        font-weight: 500;
        width: 100%;

        > ul {
            list-style: none;
            margin: 0;
            padding: 0;
            width: 100%;
            margin: 12px;
        }


    }

    


}